Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: martin rudalics <[email-masked]>
Date: Sun, 29 Jun 2014 16:18:42 +0200

> As I suggested yesterday, what is needed is for find_defun_start to
 > actually determine the beginning-of-defun before POS/POS_BYTE (using
 > scan_sexps_forward) rather than just giving up and returning BOB.
 > This position must then be cached for future find_defun_start calls.
 > The cacheing mechanism is already in place for non-nil open-...-start.

I don't even understand why you can't use the 9th element returned by
`syntax-ppss' to get the beginning of the outermost defun enclosing
`point'.

martin